# Upload a File to PX/CX/SX Uploads CSV, or XLSX file to Product Extensions, Customer Extensions, or Seller Extensions table. Endpoint: POST /importfile/{TypeCode}/{target}/{uploadSlotId} Security: basic, X-PriceFx-jwt ## Path parameters: - `TypeCode` (string, required) Type code of the table you want to upload the file to. Enum: "PX", "CX", "SX" - `target` (string, required) The name of the PX/CX/SX table. - `uploadSlotId` (string, required) id of the upload slot. Use the uploadslotmanager.newuploadslot endpoint to retrieve the id. Example: "5000" ## Query parameters: - `truncate` (string) Set to true to overwrite existing data, or false to add new lines to existing data. Enum: "true", "false" ## Request fields (multipart/form-data): - `file` (string) Provide the file (CSV, or XLSX format) you want to upload. ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.data` (object,null) - `response.status` (integer) - `response.startRow` (integer) - `response.endRow` (integer)